[Hackage] #380: Ability to blacklist packages that are on hackage

Hackage trac at galois.com
Wed Mar 11 08:13:54 EDT 2009

#380: Ability to blacklist packages that are on hackage
  Reporter:  guest               |        Owner:                   
      Type:  enhancement         |       Status:  new              
  Priority:  normal              |    Milestone:  cabal-install-0.8
 Component:  cabal-install tool  |      Version:          
  Severity:  normal              |   Resolution:                   
  Keywords:                      |   Difficulty:  hard (< 1 day)   
Ghcversion:  6.8.3               |     Platform:                   
Changes (by duncan):

  * keywords:  wishlist blacklist =>
  * difficulty:  normal => hard (< 1 day)
  * type:  defect => enhancement
  * milestone:  => cabal-install-0.8


 We seem mostly to have given up the pluggable solver interface. It now is
 explicitly given a set of constraints. The obvious thing to do is to
 attach reasons to each of the input constraints. Blacklisting could be one
 such thing. Avoiding broken packages similarly. See also #470.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/380#comment:2>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list